package com.bby.sharedcoklu;

import java.util.Map;

import android.os.Bundle;
import android.preference.PreferenceManager;
import android.app.Activity;
import android.content.SharedPreferences;
import android.view.Menu;
import android.widget.TextView;

public class IkinciActivity extends Activity {

	private TextView sonuclar;
	private SharedPreferences ikinciSp;
	private String sonuclarText;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_ikinci);

		sonuclar = (TextView) findViewById(R.id.sonuc);
		sonuclarText = "";

		ikinciSp = PreferenceManager
				.getDefaultSharedPreferences(IkinciActivity.this);

		Map<String, String> sonuclarShared = (Map<String, String>) ikinciSp
				.getAll();

		for (Map.Entry<String, ?> entry : sonuclarShared.entrySet()) {
			sonuclarText += entry.getValue().toString();
			sonuclarText += "\n";
		}

		sonuclar.setText(sonuclarText);

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.ikinci, menu);
		return true;
	}

}
