package com.bby.sharedcoklu;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import android.os.Bundle;
import android.preference.PreferenceManager;
import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {

	private Button kaydetButton;
	private EditText kiloInput;
	private TextView tarihSaat;
	private String kiloString;
	private Date d;
	private Calendar c;
	private SimpleDateFormat sdf;
	private String tarih;
	private SharedPreferences sp;
	private Editor edit;
	private Button gosterButton;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		sdf = new SimpleDateFormat("dd-MM-yyyy");

		sp = PreferenceManager.getDefaultSharedPreferences(MainActivity.this);
		edit = sp.edit();

		kaydetButton = (Button) findViewById(R.id.kaydet);
		kiloInput = (EditText) findViewById(R.id.kiloInput);
		tarihSaat = (TextView) findViewById(R.id.tarihSaat);
		gosterButton = (Button) findViewById(R.id.goster);

		kaydetButton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				kiloString = kiloInput.getText().toString();
				c = Calendar.getInstance();
				d = c.getTime();
				tarih = sdf.format(d);

				edit.putString(tarih, "Tarih: " + tarih + " Kilo: "
						+ kiloString);
				edit.commit();

			}
		});

		gosterButton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent i = new Intent(MainActivity.this, IkinciActivity.class);
				startActivity(i);

			}
		});

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
